## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class RowSimilarityJob.SumObservationsReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>
          org.apache.mahout.math.hadoop.similarity.cooccurrence.RowSimilarityJob.SumObservationsReducer

Enclosing class:
  RowSimilarityJob

    public static class RowSimilarityJob.SumObservationsReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`RowSimilarityJob.SumObservationsReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.NullWritable nullWritable, Iterable<VectorWritable> partialVectors, org.apache.hadoop.mapreduce.Reducer.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSimilarityJob.SumObservationsReducer

    public RowSimilarityJob.SumObservationsReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.NullWritable nullWritable,
                          Iterable<VectorWritable> partialVectors,
                          org.apache.hadoop.mapreduce.Reducer.Context ctx)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.